-- Set options for first time users
if (LINGUISTICS_FIRSTTIMEUSER == nil) then
	LINGUISTICS_MASTOG = true
	LINGUISTICS_OPTWOW = true
	LINGUISTICS_OPTINT = true
	LINGUISTICS_OPTNUM = true
	LINGUISTICS_OPTPUN = true
	LINGUISTICS_FIRSTTIMEUSER = true
end

-- Create UI
local name = ...
do
	--[[ Slash Handler ]]--
	SlashCmdList["LINGUISTICS"] = function() InterfaceOptionsFrame_OpenToCategory(name) end
	SLASH_LINGUISTICS1 = "/linguistics"
	SLASH_LINGUISTICS2 = "/ling"

	--[[ Localization ]]--
	local locMasTog = "Master switch. Turn Linguistics on or off."
	local locMasTxt = "Thank you for making use of Linguistics. Currently\nthere is only English language support. If you notice\nany bugs, errors or words that are incorrectly changed\nthen please report this on |cff69ccf0curse.com|r. Now, talk like a sir."
	local locOptWow = "Correct World of Warcraft Abbreviations."
	local locOptInt = "Correct common misspelled words and internet slang."
	local locOptNum = "Write out numbers 1-9."
	local locOptPun = "Add missing and remove excessive punctuation."
	
	local locToDo = "- When linking items or spells all filters are ignored.\n- I want to add an option to filter text from other players.\n\nAuthor: |cff00FF00Zedax (Outland-EU)|r\nWebsite: |cff69ccf0http://www.curse.com/addons/wow/linguistics|r"
	
	--[[ Main Panel ]]--
	local linguistics = CreateFrame("Frame", "LinguisticsConfig", InterfaceOptionsFramePanelContainer)
	--linguistics:SetScript("OnEvent", function(self, event, ...) self[event](self, event, ...) end)
	linguistics:Hide()
	linguistics.name = name
	linguistics:SetScript("OnShow", function()
	-- Check or uncheck boxes by loading from vars
		LinguisticsConfigMasterButton:SetChecked(LINGUISTICS_MASTOG)
		LinguisticsConfigOptionsWow:SetChecked(LINGUISTICS_OPTWOW)
		LinguisticsConfigOptionsInt:SetChecked(LINGUISTICS_OPTINT)
		LinguisticsConfigOptionsNum:SetChecked(LINGUISTICS_OPTNUM)
		LinguisticsConfigOptionsPun:SetChecked(LINGUISTICS_OPTPUN)
	-- Disable buttons if masterswich is off
		if ( LinguisticsConfigMasterButton:GetChecked() == nil ) then
			LinguisticsConfigOptionsWow:Disable();
			LinguisticsConfigOptionsInt:Disable();
			LinguisticsConfigOptionsNum:Disable();
			LinguisticsConfigOptionsPun:Disable();
		end
	end)
	local title = linguistics:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("Linguistics v1.0 |cff69ccf0[English]|r") --wowace magic, replaced with tag version
	InterfaceOptions_AddCategory(linguistics)

	--[[ Master Checkbox ]]--
	local btnMasTog = CreateFrame("CheckButton", "LinguisticsConfigMasterButton", linguistics, "OptionsBaseCheckButtonTemplate")
	btnMasTog:SetPoint("TOPLEFT", 16, -35)
	btnMasTog:SetScript("OnClick", function(frame)
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			LINGUISTICS_MASTOG = true
			LinguisticsConfigOptionsWow:Enable();
			LinguisticsConfigOptionsInt:Enable();
			LinguisticsConfigOptionsNum:Enable();
			LinguisticsConfigOptionsPun:Enable();
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			LINGUISTICS_MASTOG = nil
			LinguisticsConfigOptionsWow:Disable();
			LinguisticsConfigOptionsInt:Disable();
			LinguisticsConfigOptionsNum:Disable();
			LinguisticsConfigOptionsPun:Disable();
		end
	end)
	
	local btnMasTogText = btnMasTog:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnMasTogText:SetPoint("LEFT", btnMasTog, "RIGHT", 0, 0)
	btnMasTogText:SetText(locMasTog)
	local btnMasTogDesc = btnMasTog:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnMasTogDesc:SetPoint("TOPLEFT", btnMasTogText, "BOTTOMLEFT", 0, -5)
	btnMasTogDesc:SetJustifyH("LEFT")
	btnMasTogDesc:SetWordWrap(true)
	btnMasTogDesc:SetText(locMasTxt)

	--[[ Options Header ]]--
	local optionsTitle = linguistics:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	optionsTitle:SetPoint("TOPLEFT", btnMasTogDesc, "BOTTOMLEFT", 0, -10)
	optionsTitle:SetText("Optional filters")
	
	--[[ Options WoW ]]--
	local btnOptWow = CreateFrame("CheckButton", "LinguisticsConfigOptionsWow", linguistics, "OptionsBaseCheckButtonTemplate")
	btnOptWow:SetPoint("TOPLEFT", 43, -137)
	btnOptWow:SetScript("OnClick", function(frame)
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			LINGUISTICS_OPTWOW = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			LINGUISTICS_OPTWOW = nil
		end
	end)
	
	local btnOptWowText = btnOptWow:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnOptWowText:SetPoint("LEFT", btnOptWow, "RIGHT", 0, 0)
	btnOptWowText:SetText(locOptWow)

	--[[ Options Internet Slang ]]--
	local btnOptInt = CreateFrame("CheckButton", "LinguisticsConfigOptionsInt", linguistics, "OptionsBaseCheckButtonTemplate")
	btnOptInt:SetPoint("TOPLEFT", 43, -157)
	btnOptInt:SetScript("OnClick", function(frame)
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			LINGUISTICS_OPTINT = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			LINGUISTICS_OPTINT = nil
		end
	end)
	
	local btnOptIntText = btnOptInt:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnOptIntText:SetPoint("LEFT", btnOptInt, "RIGHT", 0, 0)
	btnOptIntText:SetText(locOptInt)

		--[[ Options Numbers ]]--
	local btnOptNum = CreateFrame("CheckButton", "LinguisticsConfigOptionsNum", linguistics, "OptionsBaseCheckButtonTemplate")
	btnOptNum:SetPoint("TOPLEFT", 43, -177)
	btnOptNum:SetScript("OnClick", function(frame)
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			LINGUISTICS_OPTNUM = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			LINGUISTICS_OPTNUM = nil
		end
	end)
	
	local btnOptNumText = btnOptNum:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnOptNumText:SetPoint("LEFT", btnOptNum, "RIGHT", 0, 0)
	btnOptNumText:SetText(locOptNum)
	
	--[[ Options Punctuation ]]--
	local btnOptPun = CreateFrame("CheckButton", "LinguisticsConfigOptionsPun", linguistics, "OptionsBaseCheckButtonTemplate")
	btnOptPun:SetPoint("TOPLEFT", 43, -197)
	btnOptPun:SetScript("OnClick", function(frame)
		if frame:GetChecked() then
			PlaySound("igMainMenuOptionCheckBoxOn")
			LINGUISTICS_OPTPUN = true
		else
			PlaySound("igMainMenuOptionCheckBoxOff")
			LINGUISTICS_OPTPUN = nil
		end
	end)
	
	local btnOptPunText = btnOptPun:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnOptPunText:SetPoint("LEFT", btnOptPun, "RIGHT", 0, 0)
	btnOptPunText:SetText(locOptPun)
	
	local ZZtexture = linguistics:CreateTexture(nil, "ARTWORK")
	ZZtexture:SetPoint("TOPLEFT", 280, 2)
	ZZtexture:SetTexture("Interface\\AddOns\\Linguistics\\lingsir.blp")
	--[[ To-do Header ]]--
	
	local btnMasTogDesc = btnMasTog:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnMasTogDesc:SetPoint("TOPLEFT", btnOptPunText, "BOTTOMLEFT", -43, -13)
	btnMasTogDesc:SetJustifyH("LEFT")
	btnMasTogDesc:SetWordWrap(true)
	btnMasTogDesc:SetText("-----------------------------------------------------------------------------------------")
	
	local todoTitle = linguistics:CreateFontString(nil, "ARTWORK", "GameFontRedLarge")
	todoTitle:SetPoint("TOPLEFT", btnOptPunText, "BOTTOMLEFT", -43, -31)
	todoTitle:SetText("Upcoming features and known bugs [Patch 5.0.5]")
	
	local btnMasTogDesc = btnMasTog:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
	btnMasTogDesc:SetPoint("TOPLEFT", btnOptPunText, "BOTTOMLEFT", -43, -54)
	btnMasTogDesc:SetJustifyH("LEFT")
	btnMasTogDesc:SetWordWrap(true)
	btnMasTogDesc:SetText(locToDo)
end

